org.apache.myfaces.trinidad.event

## Class AttributeChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.AttributeChangeEvent

- All Implemented Interfaces:
    Serializable

      public class AttributeChangeEvent
      extends javax.faces.event.FacesEvent

  Event delivered when a renderer-specific attribute has been changed as a result of user interaction. This event gives advanced `Renderers` a chance to inform a generic `UIXComponent` that some portion of it's appearance has been manipulated. For example, a "splitter" panel renderer could indicate that the proportions of the splitter have changed.

  `AttributeChangeEvents` are not delivered in response to programmatic manipulation of a renderer-specific attribute. They must be explicitly queued by a `Renderer` when it detects that the user had manipulated the component. Developers should not abuse this event as a one-size-fits-all generic component event. When a generic component event changes - like "value" or "disclosed", deliver a strongly-typed component event such as `ValueChangeEvent` or `DisclosureEvent`.

  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/event/AttributeChangeEvent.java#0 $) $Date: 10-nov-2005.19:08:59 $
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeChangeEvent(javax.faces.component.UIComponent source, String attribute, Object oldValue, Object newValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute()`
    `Object` | `getNewValue()`
    `Object` | `getOldValue()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`
    `String` | `toString()`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeChangeEvent

          public AttributeChangeEvent(javax.faces.component.UIComponent source,
                              String attribute,
                              Object oldValue,
                              Object newValue)

  - ### Method Detail

    - #### getAttribute

          public String getAttribute()

    - #### getOldValue

          public Object getOldValue()

    - #### getNewValue

          public Object getNewValue()

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.